Package org.apache.lucene.benchmark.byTask.tasks

# Class ResetSystemSoftTask

java.lang.Object
org.apache.lucene.benchmark.byTask.tasks.PerfTask
org.apache.lucene.benchmark.byTask.tasks.ResetInputsTask
org.apache.lucene.benchmark.byTask.tasks.ResetSystemSoftTask

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `ResetSystemEraseTask`

public class ResetSystemSoftTask extends ResetInputsTask
Reset all index and input data and call gc, does NOT erase index/dir, does NOT clear statistics. This contains ResetInputs.
Other side effects: writers/readers nullified, closed. Index is NOT erased. Directory is NOT erased.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

  `logStep, NEW_LINE, params, stopNow`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResetSystemSoftTask(PerfRunData runData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `doLogic()`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task.

  ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.ResetInputsTask

  `shouldNotRecordStats`

  ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

  `clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setParams, setRunInBackground, setup, shouldNeverLogAtStart, stopNow, supportsParams, tearDown, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ResetSystemSoftTask

    public ResetSystemSoftTask(PerfRunData runData)

- ## Method Details

  - ### doLogic

    public int doLogic() throws Exception
    Description copied from class: `PerfTask`
    Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.
    Overrides:
      `doLogic` in class `ResetInputsTask`
    Returns:
      number of work items done by this task.
    Throws:
      `Exception`